Page MenuHomePhabricator

changegroup: add v4 changegroup for revlog v2 exchange
ClosedPublic

Authored by Alphare on Feb 19 2021, 6:16 AM.

Details

Summary

This change only adds the required infrastructure for the new changegroup format
and does not do any actual exchange. This will be done in the next patches.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Feb 19 2021, 6:16 AM
baymax updated this revision to Diff 25993.Mar 1 2021, 11:52 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

So in this changeset you add most of the infrastrucure to excahgne sidedata, but don't make any decision to exchange any yet, right? So we could exchange them, but still don't. Can you clarify this in the commit message ?

marmoute requested changes to this revision.Mar 2 2021, 1:56 PM
This revision now requires changes to proceed.Mar 2 2021, 1:56 PM
Alphare edited the summary of this revision. (Show Details)Mar 4 2021, 10:18 AM
Alphare updated this revision to Diff 26089.
marmoute requested changes to this revision.Mar 9 2021, 11:21 AM
marmoute added inline comments.
mercurial/changegroup.py
578–580

Can you explain the 4 here ?

1519–1521

What is going on here ?

This revision now requires changes to proceed.Mar 9 2021, 11:21 AM
Alphare added inline comments.Mar 10 2021, 1:41 PM
mercurial/changegroup.py
578–580

I've found the getchunks function that encapsulates the logic

1519–1521

I've left comments (pending refresh) to be more explicit.

Alphare updated this revision to Diff 26220.Mar 10 2021, 2:11 PM
marmoute accepted this revision.Mar 11 2021, 1:09 PM

Thanks for the update

mercurial/changegroup.py
578–580

A yep, better ☺

Alphare updated this revision to Diff 26254.Mar 12 2021, 6:33 AM
Alphare updated this revision to Diff 26332.Mar 15 2021, 6:24 AM
This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.